/******************* Objects **********************/
.navbar-icons {
    display: flex;
    gap: 25px;
}
@media screen and (max-width: 767.98px) {
    .navbar-icons {
        margin-right: 15px;
    }
}
.navbar-icon {
    position: relative;
}
.navbar-icon .navbar-icon-img {
    position: relative;
}

.navbar-icon.navbar-icon-account .navbar-icon-img:after {
    /*content: attr(data-count);*/
    display: flex;
    justify-content: center;
    align-items: center;
    
    border-radius: 50%;
    background: var(--base-2);
    width: 18px;
    height: 18px;
    position: absolute;
    padding: 0px;
    overflow: hidden;
    right: -10px;
    top: -6px;
    text-align: center;
    font-size: 12px;
    line-height: 1;
    font-weight: 500;
    color: var(--navbar-icon-bgcolor);
}

.navbar-icon .navbar-icon-counter {
    display: flex;
    justify-content: center;
    align-items: center;
    
    border-radius: 222px;
    background-color: var(--base-2);
    min-width: 18px;
    height: 18px;
    position: absolute;
    padding: 0px 4px;
    overflow: hidden;
    left: 17px;
    top: -6px;
    text-align: center;
    font-size: 12px;
    line-height: 1;
    font-weight: 400;
    color: var(--navbar-icon-bgcolor);
}
.navbar-icon .navbar-icon-counter[data-count="0"] {
    display: none;
}
.navbar-icon.navbar-icon-wishlist .navbar-icon-counter {
    background-color: var(--color-grey-50);
    color: var(--color-default-10);
}

.navbar-icon .navbar-icon-img i {
    color: var(--color-default-100);
    font-size: 26px;
}

.navbar-icon .navbar-icon-img[data-author="on"]:after {
    content: '\f00c';
    font-family: 'Font Awesome 6 Pro';
    font-weight: 400;
    font-size: 12px;
}
.navbar-icon .navbar-icon-img[data-author="off"] {
    cursor: pointer;
}
.navbar-icon .navbar-icon-img[data-author="off"]:after {
    display: none;
}
.navbar-icon .navbar-icon-img[data-count="0"]:after {
    display: none;
}

.navbar-icon-checkout {
    display: flex;
    align-items: center;
    gap: 17px;
}

.navbar-icon-checkout,
.navbar-icon-checkout:hover {
    text-decoration: none;
}
.navbar-icon-checkout:hover {
    color: var(--link);
}
.navbar-icon-checkout .title-amount {
    font-size: calc(var(--font-body-scale) * 14px);
    text-decoration: none;
    line-height: 1;
}
@media screen and (max-width: 767.98px) {
    .navbar-icon-checkout .title-amount {
        display: none;
    }
}

.nav-link {
    color: var(--color-default-70);
    /*transition: .3s ease;*/
    font-size: calc(var(--font-heading-scale) * 16px);
    font-weight: 500;
    word-break: break-word;
    line-height: calc(1 + .3);
}
@media screen and (max-width: 767.98px) {
    .nav-link {
        color: var(--color-default-90);
    }
}

.nav-link:hover,
.nav-link.active {
    /*font-weight: 600;*/
    text-decoration: none;
    /*color: var(--base-2);*/
    color: var(--color-default-100);
    /*background-color: var(--base-2);*/
    /*background-color: var(--navline-bgcolor);*/
}


.btn-lex {
    display: flex;
    align-items: center;
    border: none;
    text-transform: unset;
    vertical-align: middle;
    position: relative;
    border-radius: var(--buttons-radius-outset);
    color: var(--color-button-text);
    background-color: var(--color-button);
    text-align: center;
    transition: all .3s ease-in-out;
    letter-spacing: .2px;
    z-index: 0;
    min-height: calc(48px + var(--buttons-border-width) * 2);
    min-width: calc(44px + var(--buttons-border-width) * 2);
    padding: 6px 20px;
    /*width: 100%;*/
    min-width: 122px;
    cursor: pointer;
    column-gap: 6px;
    
    
    font-size: calc(var(--font-body-scale) * 16px);
    line-height: normal;
    font-weight: 500;
    
    justify-content: center;
    text-decoration: none;
    appearance: none;
    word-break: break-word;
}
.btn-lex:hover {
    background-color: var(--color-button-hover);
    text-decoration: none;
    color: var(--color-button-text);
}

@media (max-width: 767.98px) {
    .btn-lex {
        min-height: 38px;
        font-size: calc(var(--font-body-scale) * 16px);
        padding: 5px 15px;
        min-width: 112px;
    }
    .btn-lex > i {
        display: none;
    }
}

.btn-passive {
    font-size: calc(var(--font-body-scale) * 16px);
    cursor: pointer;
    color: var(--color-default-100);
    background-color: var(--color-default-5);
    border-width: 0;
    border-radius: 222px;
    transition: all .3s ease-in-out;
    margin: 0;
    line-height: 0;
    width: 44px;
    height: 44px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
@media (max-width: 767.98px) {
    .btn-passive {
        font-size: calc(var(--font-body-scale) * 14px);
        width: 36px;
        height: 36px;
    }
}
.btn-passive:hover {
    background-color: var(--color-default-100);
    transition: all .3s ease-in-out;
    color: var(--color-default-10);
}



.modal-lex .btn-lex {
    width: auto;
}
.modal-lex .modal-body {
    padding-bottom: 0;
}
.modal-lex .modal-footer {
    border-top-width: 0; 
}


.col-form-label {
    padding: 0;
}
.col-form-label-sm {
    padding: 0;
}
/*.form-control-sm[name=author_password] {*/
.input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu):not(.form-floating).form-control-sm[name=author_password] {
    border-radius: var(--bs-border-radius-sm);
}

.btn-link {
    text-underline-offset: .2rem;
    text-decoration-thickness: .07rem;
    color: var(--link);
    font-weight: 400;
}

.modal-lex .btn-link {
    /*font-size: calc(var(--font-body-scale) * 14px);*/
}
.modal-lex .btn-link:hover {
    color: var(--link-hover);
}

.btn_password_clear {
    border-width: 0;
}
.btn_password_clear:hover,
:not(.btn-check)+.btn.btn_password_clear:active {
    color: var(--color-button-hover);
    background-color: transparent;
    border-color: transparent;
}

.form-control:focus {
    border-color: var(--color-default-100);
    box-shadow: 0 0 0 .25rem rgba(0, 0, 0, .25);
}

.invalid-feedback.show,
.invalid-feedback-other.show {
    display: block;
}

.invalid-feedback {
    font-size: .90em;
    margin-top: 0;
    line-height: 1.2;
}

.phone-iti {
    font-size: calc(var(--font-body-scale) * 16px);
}

.form-control:read-only {
    background-color: var(--bs-secondary-bg);
    opacity: 1;
}

.btn-link:hover,
.btn-link:active {
    color: var(--color-default-100)!important;
}

.form-check-input {
    margin-top: 0;
}
.form-check-input:checked {
    background-color: var(--color-default-100);
    border-color: var(--color-default-100);
}
.form-check-input:focus {
    border-color: var(--color-default-100);
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(0,0,0,.25);
}

.page-link {
    display: inline;
    color: var(--color-default-100);
    font-size: calc(var(--font-body-scale) * 14px);
}
.page-link:hover {
    color: var(--color-default-100);
    text-decoration: none;
}
red {
    color: red;
}

